using System;
using System.Linq;

namespace ConsoleApplicationBDEx
{
    class Program
    {
        static void Main(string[] args)
        {
            DataClassExDataContext context = new DataClassExDataContext();
            
            var query = from funcionario in context.tbFuncionarios
                         group funcionario by new { funcionario.Departamento, funcionario.Salario } into f
                         let salarioTotal = context.tbFuncionarios.Sum(x => x.Salario)
                         let mediaSalarial = context.tbFuncionarios.Average(x => x.Salario)
                         orderby f.Key.Departamento, f.Key.Salario
                         select new
                         {
                             Salario = f.Key.Salario,
                             Departamento = f.Key.Departamento,
                             Total = salarioTotal,
                             Media = mediaSalarial
                         };

            foreach (var func in query2)
            {
                Console.WriteLine("Departamento: " + func.Departamento + "\t" + "Salário: " + func.Salario + "\t" + "Total: " + func.Total + "\t" + "Média salarial: " + func.Media);
            }

            Console.Read();
        }
    }
}